Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc
Interface JDBCAdapter

All Known Implementing Classes:
  DefaultJDBCAdapter

public interface JDBCAdapter

Version:
  $Revision: 1.2 $

Nested Class Summary
`static interface` | `JDBCAdapter.MessageListResultHandler`

Method Summary
`void` | `doAddMessage(java.sql.Connection c, long seq, java.lang.String messageID, java.lang.String destinationName, byte[] data)`
`void` | `doAddXid(java.sql.Connection c, ActiveMQXid xid, byte[] data)`
`void` | `doCreateTables(java.sql.Connection c)`
`byte[]` | `doGetMessage(java.sql.Connection c, long seq)`
`SubscriberEntry` | `doGetSubscriberEntry(java.sql.Connection c, java.lang.String destinationName, java.lang.String sub)`
`void` | `doGetXids(java.sql.Connection c, java.util.List list)`
`void` | `doLoadPreparedTransactions(java.sql.Connection c, TransactionManager transactionManager)`
`void` | `doRecover(java.sql.Connection c, java.lang.String destinationName, JDBCAdapter.MessageListResultHandler listener)`
`void` | `doRecoverSubscription(java.sql.Connection c, java.lang.String destinationName, java.lang.String sub, JDBCAdapter.MessageListResultHandler listener)`
`void` | `doRemoveMessage(java.sql.Connection c, long seq)`
`void` | `doRemoveXid(java.sql.Connection c, ActiveMQXid xid)`
`void` | `doSetLastAck(java.sql.Connection c, java.lang.String destinationName, java.lang.String sub, long seq)`
`void` | `doSetSubscriberEntry(java.sql.Connection c, java.lang.String destinationName, java.lang.String sub, SubscriberEntry subscriberEntry)`
`SequenceGenerator` | `getSequenceGenerator()`
`void` | `initSequenceGenerator(java.sql.Connection c)`

Method Detail

### getSequenceGenerator

    public SequenceGenerator getSequenceGenerator()

### doCreateTables

    public void doCreateTables(java.sql.Connection c)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### initSequenceGenerator

    public void initSequenceGenerator(java.sql.Connection c)

### doAddMessage

    public void doAddMessage(java.sql.Connection c,
                             long seq,
                             java.lang.String messageID,
                             java.lang.String destinationName,
                             byte[] data)
                      throws java.sql.SQLException,
                             JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

### doGetMessage

    public byte[] doGetMessage(java.sql.Connection c,
                               long seq)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### doRemoveMessage

    public void doRemoveMessage(java.sql.Connection c,
                                long seq)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### doRecover

    public void doRecover(java.sql.Connection c,
                          java.lang.String destinationName,
                          JDBCAdapter.MessageListResultHandler listener)
                   throws java.sql.SQLException,
                          JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

### doGetXids

    public void doGetXids(java.sql.Connection c,
                          java.util.List list)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### doRemoveXid

    public void doRemoveXid(java.sql.Connection c,
                            ActiveMQXid xid)
                     throws java.sql.SQLException,
                            XAException

  Throws:
    `java.sql.SQLException`
    `XAException`

### doAddXid

    public void doAddXid(java.sql.Connection c,
                         ActiveMQXid xid,
                         byte[] data)
                  throws java.sql.SQLException,
                         XAException

  Throws:
    `java.sql.SQLException`
    `XAException`

### doLoadPreparedTransactions

    public void doLoadPreparedTransactions(java.sql.Connection c,
                                           TransactionManager transactionManager)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### doSetLastAck

    public void doSetLastAck(java.sql.Connection c,
                             java.lang.String destinationName,
                             java.lang.String sub,
                             long seq)
                      throws java.sql.SQLException,
                             JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

### doRecoverSubscription

    public void doRecoverSubscription(java.sql.Connection c,
                                      java.lang.String destinationName,
                                      java.lang.String sub,
                                      JDBCAdapter.MessageListResultHandler listener)
                               throws java.sql.SQLException,
                                      JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

### doSetSubscriberEntry

    public void doSetSubscriberEntry(java.sql.Connection c,
                                     java.lang.String destinationName,
                                     java.lang.String sub,
                                     SubscriberEntry subscriberEntry)
                              throws java.sql.SQLException,
                                     JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

### doGetSubscriberEntry

    public SubscriberEntry doGetSubscriberEntry(java.sql.Connection c,
                                                java.lang.String destinationName,
                                                java.lang.String sub)
                                         throws java.sql.SQLException,
                                                JMSException

  Throws:
    `java.sql.SQLException`
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.